<script setup lang="ts">
import { useAccountStore } from '~~/store/account'
import { useZoomStore } from '~~/store/zoom'

// Generate button base on Role
const accountStore = useAccountStore()
const zoom = useZoomStore()
</script>

<template>
  <div class="flex justify-around mt-4">
    <button v-if="accountStore.ableToEnd" class="leaveButton" @click="() => zoom.endClient()">
      配信終了
    </button>
    <button v-else class="leaveButton" @click="() => zoom.leaveClient()">
      退出
    </button>
    <button v-if="accountStore.account === 'Moderator'" class="leaveButton" @click="() => zoom.leaveClient()">
      退出
    </button>
  </div>
</template>

<style scoped>
.leaveButton {
  @apply text-2xl py-2 px-4 border-blue-300 border-2 bg-white rounded-lg dark:bg-neutral-900;
}
</style>
